Show / Hide Table of Contents

# Class MemUtil

##### Inheritance

System.Object
MemUtil

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public static class MemUtil

### Methods

| Improve this Doc View Source

#### Allocate<T>()

##### Declaration

    public static T*Allocate<T>()
        where T : struct

##### Returns

Type | Description
--- | ---
T* |

##### Type Parameters

Name | Description
--- | ---
T |

| Improve this Doc View Source

#### Free(IntPtr)

##### Declaration

    public static void Free(this IntPtr obj)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | obj |